package com.tianyi.common;

import java.io.Serializable;

/**
 * @Author jiuli
 * @Date 2024/2/22
 */
public class BaseResponse<T> implements Serializable {

    private static final long serialVersionUID = -2243004256529006189L;

    private int code;

    private T data;

    private String message;


    public BaseResponse(int code, T data, String message) {
        this.code = code;
        this.data = data;
        this.message = message;

    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

}
