package com.tianyi.controller;


import com.tianyi.model.RequestModel;
import com.tianyi.service.PdfToOfdService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class PdfToOfdController {

    private final PdfToOfdService pdfToOfdService;

    public PdfToOfdController(PdfToOfdService pdfToOfdService) {
        this.pdfToOfdService = pdfToOfdService;
    }

    /**
     * pdf转ofd
     *
     * @param requestModel
     * @return
     */
    @PostMapping("/pdf/convert")
    public Object pdfToOfd(@RequestBody RequestModel requestModel) {
        return pdfToOfdService.convert(requestModel);
    }
}
