package com.tianyi.controller;

import com.tianyi.service.SecretService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class SecretController {

    private final SecretService secretService;

    public SecretController(SecretService secretService) {
        this.secretService = secretService;
    }

    /**
     * 生成应用id和密钥
     *
     * @param org
     * @return
     */

    @GetMapping("/secret")
    public Object getSecret(@RequestParam("org") String org) {
        return secretService.getSecret(org);
    }
}
